Loading...
Searching...
No Matches
BALL::NumericalSAS Class Reference

`#include <BALL/STRUCTURE/numericalSAS.h>`

## Classes

struct | Option
struct | Default

## Public Member Functions

Constructors and Destructors.
| NumericalSAS ()
| NumericalSAS (const Options &options)
virtual | ~NumericalSAS ()

## Accessors.

Options | options
AtomContainer const * | fragment_
| the AtomContainer we are bound to
HashMap< Atom const *, float > | atom_areas_
| mapping of atom to SAS area
float | total_area_
| total solvent accessible area of the fragment
HashMap< Atom const *, float > | atom_volumes_
| mapping of atom to SAS volume
float | total_volume_
| total solvent accessible volume of the fragment
Surface | surface_
| the SAS as a surface
HashMap< Atom const *, Surface > | atom_surfaces_
| mapping of atom to surface
std::vector< std::pair< Vector3, Surface > > | atom_surface_map_
| vector of (atom center, surface)
void | operator() (const AtomContainer &fragment)
float | getTotalArea () const
HashMap< const Atom *, float > & | getAtomAreas ()
const HashMap< const Atom *, float > & | getAtomAreas () const
float | getTotalVolume () const
HashMap< const Atom *, float > & | getAtomVolumes ()
const HashMap< const Atom *, float > & | getAtomVolumes () const
Surface & | getSurface ()
const Surface & | getSurface () const
HashMap< const Atom *, Surface > & | getSurfacePerAtom ()
const HashMap< const Atom *, Surface > & | getSurfacePerAtom () const
std::vector< std::pair< Vector3, Surface > > & | getSurfaceMap ()
const std::vector< std::pair< Vector3, Surface > > & | getSurfaceMap () const
void | setDefaultOptions_ ()
Size | computeSphereTesselation_ (TriangulatedSphere &result, int num_points)

## Detailed Description

Definition at line 44 of file numericalSAS.h.

## Constructor & Destructor Documentation

## NumericalSAS() [1/2]

BALL::NumericalSAS::NumericalSAS | ( |  | ) |

Default Constructor.

## NumericalSAS() [2/2]

BALL::NumericalSAS::NumericalSAS | ( | const Options & | options | ) |

Detailed Constructor.

## ~NumericalSAS()

virtual BALL::NumericalSAS::~NumericalSAS | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## computeSphereTesselation_()

Size BALL::NumericalSAS::computeSphereTesselation_ | ( | TriangulatedSphere & | result,
|  | int | num_points )

protected

Precompute the sphere tesselation for the requested number of points.

## getAtomAreas() [1/2]

HashMap< const Atom *, float > & BALL::NumericalSAS::getAtomAreas | ( |  | ) |

inline

Returns the area per atom of the fragment.

This function only returns sensible values after a call to operator() and only if area computation has not been disabled through the options.

Definition at line 187 of file numericalSAS.h.

## getAtomAreas() [2/2]

const HashMap< const Atom *, float > & BALL::NumericalSAS::getAtomAreas | ( |  | ) | const

inline

Returns the area per atom of the fragment, const version.

This function only returns sensible values after a call to operator() and only if area computation has not been disabled through the options.

Definition at line 195 of file numericalSAS.h.

## getAtomVolumes() [1/2]

HashMap< const Atom *, float > & BALL::NumericalSAS::getAtomVolumes | ( |  | ) |

inline

Returns the volume per atom of the fragment.

This function only returns sensible values after a call to operator() and only if volume computation has not been disabled through the options.

Definition at line 211 of file numericalSAS.h.

## getAtomVolumes() [2/2]

const HashMap< const Atom *, float > & BALL::NumericalSAS::getAtomVolumes | ( |  | ) | const

inline

Returns the volume per atom of the fragment, const version.

This function only returns sensible values after a call to operator() and only if volume computation has not been disabled through the options.

Definition at line 219 of file numericalSAS.h.

## getSurface() [1/2]

Surface & BALL::NumericalSAS::getSurface | ( |  | ) |

inline

Returns the solvent accessible surface as a collection of points and normals.

This function only returns sensible values after a call to operator() and only if surface computation has not been disabled through the options.

Definition at line 227 of file numericalSAS.h.

## getSurface() [2/2]

const Surface & BALL::NumericalSAS::getSurface | ( |  | ) | const

inline

Returns the solvent accessible surface as a collection of points and normals, const version.

This function only returns sensible values after a call to operator() and only if surface computation has not been disabled through the options.

Definition at line 235 of file numericalSAS.h.

## getSurfaceMap() [1/2]

std::vector< std::pair< Vector3, Surface > > & BALL::NumericalSAS::getSurfaceMap | ( |  | ) |

inline

Returns the solvent accessible surface as a collection of points and normals per atom center.

This function only returns sensible values after a call to operator() and only if surface computation per atom center has not been disabled through the options.

Definition at line 259 of file numericalSAS.h.

## getSurfaceMap() [2/2]

const std::vector< std::pair< Vector3, Surface > > & BALL::NumericalSAS::getSurfaceMap | ( |  | ) | const

inline

Returns the solvent accessible surface as a collection of points and normals per atom center, const version.

This function only returns sensible values after a call to operator() and only if surface computation per atom center has not been disabled through the options.

Definition at line 267 of file numericalSAS.h.

## getSurfacePerAtom() [1/2]

HashMap< const Atom *, Surface > & BALL::NumericalSAS::getSurfacePerAtom | ( |  | ) |

inline

Returns the solvent accessible surface as a collection of points and normals per atom.

This function only returns sensible values after a call to operator() and only if surface computation per atom has not been disabled through the options.

Definition at line 243 of file numericalSAS.h.

## getSurfacePerAtom() [2/2]

const HashMap< const Atom *, Surface > & BALL::NumericalSAS::getSurfacePerAtom | ( |  | ) | const

inline

Returns the solvent accessible surface as a collection of points and normals per atom, const version.

This function only returns sensible values after a call to operator() and only if surface computation per atom has not been disabled through the options.

Definition at line 251 of file numericalSAS.h.

## getTotalArea()

float BALL::NumericalSAS::getTotalArea | ( |  | ) | const

inline

Returns the total area of the fragment.

This function only returns sensible values after a call to operator() and only if area computation has not been disabled through the options.

Definition at line 179 of file numericalSAS.h.

## getTotalVolume()

float BALL::NumericalSAS::getTotalVolume | ( |  | ) | const

inline

Returns the total volume of the fragment.

This function only returns sensible values after a call to operator() and only if volume computation has not been disabled through the options.

Definition at line 203 of file numericalSAS.h.

## operator()()

void BALL::NumericalSAS::operator() | ( | const AtomContainer & | fragment | ) |

## setDefaultOptions_()

void BALL::NumericalSAS::setDefaultOptions_ | ( |  | ) |

protected

Set values from options.

## Member Data Documentation

## atom_areas_

HashMap<Atom const*, float> BALL::NumericalSAS::atom_areas_

protected

mapping of atom to SAS area

Definition at line 288 of file numericalSAS.h.

## atom_surface_map_

std::vector< std::pair<Vector3, Surface> > BALL::NumericalSAS::atom_surface_map_

protected

vector of (atom center, surface)

Definition at line 306 of file numericalSAS.h.

## atom_surfaces_

HashMap<Atom const*, Surface> BALL::NumericalSAS::atom_surfaces_

protected

mapping of atom to surface

Definition at line 303 of file numericalSAS.h.

## atom_volumes_

HashMap<Atom const*, float> BALL::NumericalSAS::atom_volumes_

protected

mapping of atom to SAS volume

Definition at line 294 of file numericalSAS.h.

## fragment_

AtomContainer const* BALL::NumericalSAS::fragment_

protected

the AtomContainer we are bound to

Definition at line 285 of file numericalSAS.h.

## options

Options BALL::NumericalSAS::options

Options.

Definition at line 273 of file numericalSAS.h.

## surface_

Surface BALL::NumericalSAS::surface_

protected

the SAS as a surface

Definition at line 300 of file numericalSAS.h.

## total_area_

float BALL::NumericalSAS::total_area_

protected

total solvent accessible area of the fragment

Definition at line 291 of file numericalSAS.h.

## total_volume_

float BALL::NumericalSAS::total_volume_

protected

total solvent accessible volume of the fragment

Definition at line 297 of file numericalSAS.h.